onEvent('recipes', event => {
    event.shaped(Item.of('cataclysm:infernal_forge', '{Damage:0}'), [
      'AAB',
      ' C ',
      ' D '
    ], {
      A: 'upgradednetherite:corrupt_upgraded_netherite_ingot',
      B: 'cataclysm:ignitium_ingot',
      C: 'spartanweaponry:handle',
      D: 'minecraft:gold_block',
    })

    event.shaped(Item.of('minecraft:totem_of_undying'), [
      'SGS',
      'EDE',
      'BAB'
    ], {
      A: 'create:creative_blaze_cake',
      B: 'upgradednetherite:corrupt_upgraded_netherite_ingot',
      E: 'minecraft:dragon_egg',
      D: 'create:creative_fluid_tank',
      S: 'supplementaries:clock_block',
      G: 'kubejs:dummy_fluid_item'
    })
    
    event.recipes.createMechanicalCrafting('create:creative_fluid_tank', [
      'FFFFF',
      'FTTTF',
      'FTETF',
      'FTTTF',
      'FFFFF'
    ], {
      F: 'biomesoplenty:nether_crystal',
      T: 'create:fluid_tank',
      E: 'kubejs:dummy_fluid_item'

      
    })



    event.shaped(Item.of('balancedflight:flight_core'), [
      ' B ',
      'BAB',
      ' B '
    ], {
      A: 'cataclysm:ignitium_ingot',
      B: 'minecraft:feather'
    })


    event.recipes.createMechanicalCrafting('create:creative_blaze_cake', [
      'AFFFA',
      'FFFFF',
      'FFEFF',
      'FFFFF',
      'AFFFA'
    ], {
      F: 'create:blaze_cake',
      E: 'kubejs:dummy_fluid_item',
      A: Item.of('waystones:warp_stone', '{Damage:0}')
      
    })


    event.recipes.createMechanicalCrafting('kubejs:dummy_fluid_item', [
      ' AFFFA ',
      'AFDDDFA',
      'AFTETFA',
      'AFDDDFA',
      ' AFFFA '
    ], {
      F: 'cataclysm:ignitium_block',
      T: 'dalekmod:classic_lava',
      E: 'minecraft:water_bucket',
      D: 'upgradednetherite:corrupt_upgraded_netherite_ingot',
      A: 'croptopia:water_bottle'
      
    })

    event.shaped(Item.of('2x create:creative_crate'), [
      'BBB',
      'BAB',
      'BBB'
    ], {
      A: 'kubejs:dummy_fluid_item',
      B: 'minecraft:totem_of_undying'
    })

    event.shaped(Item.of('dalekmod:tardis_plant'), [
      'ABA',
      'ACA',
      'AAA'
    ], {
      A: 'kubejs:tardis_scrap',
      B: 'minecraft:clock',
      C: 'minecraft:wheat_seeds'
    })

    event.recipes.create.mixing(Item.of('create:super_glue', '{Damage:0}').enchant('minecraft:mending', 1).enchant('minecraft:unbreaking', 3),[
      '3x create:iron_sheet',
      '2x minecraft:slime_ball',
      'minecraft:book'
    ]).heated()

    event.recipes.createMixing(Item.of('minecraft:ancient_debris'),[
      '4x minecraft:bone_block',
      '2x create:powdered_obsidian',
      '9x minecraft:netherrack',
    ]).superheated()

    event.shaped(Item.of(Item.of('dalekmod:stattenheim_remote', '{Damage:0}').enchant('minecraft:mending', 1).enchant('minecraft:unbreaking', 3)), [
      'ABA',
      'ACA',
      'AAA'
    ], {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:redstone_torch',
      C: 'minecraft:compass'
    })

    event.shaped(Item.of('enchantinginfuser:enchanting_infuser'), [
      'BCB',
      'DAD',
      'AAA'
    ], {
      A: 'kubejs:enchanting_infuser_base',
      B: '#minecraft:carpets',
      C: 'minecraft:diamond_block',
      D: 'minecraft:emerald_block'
    })

    event.recipes.createCompacting(Item.of('more_nuggets:diamond_nuggest'),[
      '9x minecraft:coal_block'
    ]).superheated()

    event.recipes.create.mixing(Item.of('7x dalekmod:meteorite'),[
      '2x minecraft:gravel',
      '2x #forge:nuggets',
      '3x minecraft:cobblestone'
    ])

    event.recipes.create.mixing(Item.of('dalekmod:artron_full'),[
      'minecraft:glass_bottle',
      Fluid.of('vehicle:blaze_juice',250),
    ])

    event.recipes.create.mixing(Item.of('4x minecraft:string'),[
      '#minecraft:leaves',
      '3x minecraft:gravel',
    ])

    event.recipes.create.mixing(Item.of('4x minecraft:string'),[
      'dalekmod:classic_leaves',
      '3x minecraft:gravel',
    ])

    event.recipes.createCompacting(Item.of('dalekmod:accuracy_fluid_link'),[
      'create:fluid_pipe',
      'more_nuggets:diamond_nuggest'
    ])

    event.recipes.createCompacting(Item.of('dalekmod:fuel_fluid_link'),[
      'create:fluid_pipe',
      'minecraft:redstone'
    ])

    event.recipes.createCompacting(Item.of('dalekmod:flight_fluid_link'),[
      'create:fluid_pipe',
      'minecraft:emerald'
    ])

    event.recipes.create.mixing(Item.of('cataclysm:ignitium_ingot'),[
      '2x cataclysm:ignitium_block'
    ]).heated()

    
    event.shapeless('minecraft:crafting_table', ['@mctb'])
    event.shapeless('minecraft:crafting_table', ['#forge:workbench'])
    event.shapeless('kubejs:tardis_scrap', ['dalekmod:meteorite','minecraft:iron_ingot','minecraft:redstone'])
    event.shapeless('more_nuggets:diamond_nuggest', ['create_crush_everything:diamond_shard'])
    event.shapeless('fantasydice:dice_station', ['create:andesite_casing', 'fantasydice:pouch'])
    event.smithing('kubejs:enchanting_infuser_base', 'minecraft:enchanting_table', 'minecraft:emerald_block')
    event.smithing('2x cataclysm:ignitium_ingot', 'minecraft:netherite_ingot', 'cataclysm:ignitium_ingot')
    event.smithing('kubejs:enchanting_infuser_base', 'minecraft:enchanting_table', 'minecraft:emerald_block')
    event.smithing('cataclysm:the_incinerator', Item.of('spartanweaponry:greatsword_netherite', '{Damage:0}'), 'cataclysm:ignitium_ingot')})